> ## Documentation Index
> Fetch the complete documentation index at: https://docs.energy.nayax.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Attach assets to a price adjustment

> Attach assets to a specific price adjustment for a network.



## OpenAPI

````yaml /api/specs/identity-api.json post /identity/v1/price-adjustments/{priceAdjustmentId}/attach-assets
openapi: 3.0.0
info:
  title: Lynkwell API
  version: 1.376.0
  description: API Documentation for identity service
servers:
  - url: https://api.lynkwell.com
security: []
tags: []
paths:
  /identity/v1/price-adjustments/{priceAdjustmentId}/attach-assets:
    post:
      tags:
        - Price Adjustment
      summary: Attach assets to a price adjustment
      description: Attach assets to a specific price adjustment for a network.
      parameters:
        - in: path
          name: priceAdjustmentId
          schema:
            type: string
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AttachAssetToPriceAdjustmentParams'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  attached:
                    type: boolean
                    description: Indicates whether the assets were successfully attached.
        '400':
          description: Bad Request
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
      security:
        - jwt: []
components:
  schemas:
    AttachAssetToPriceAdjustmentParams:
      type: object
      required:
        - assetGroupIds
      properties:
        assetGroupIds:
          type: array
          items:
            type: string
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````